[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[PATCH] anaconda upgrade from same version



it seems that anaconda wants that anaconda's upgrade requires a
version that is strictly older than current

ie. one can't upgrade an alpha/bera or even same version

I suggest the following

http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=blob;f=installclasses/fedora.py;h=d3add70353030081f6028924ebbf667ed3a4af10;hb=HEAD#l112

-         return newVer > oldVer and newVer - oldVer <= 2
+         return newVer >= oldVer and newVer - oldVer <= 2


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]